Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 51)
@@ -56,6 +56,18 @@
                 case (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval:
                     if (RecPara.ProcNo == (int)ClsExcute.ProcessExecuteNo.ConstructionBudget) bAns = true;
                     break;
+                // 4:注文書承認
+                case (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval:
+                    if (RecPara.ProcNo == (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry) bAns = true;
+                    break;
+                // 5:請求書承認
+                case (int)ClsExcute.ApprovalListNo.OrderBillingApproval:
+                    //if (RecPara.ProcNo == (int)ClsExcute.ProcessExecuteNo.ConstructionBudget) bAns = true;
+                    break;
+                // 6:工事日報承認
+                case (int)ClsExcute.ApprovalListNo.DRConstructionApproval:
+                    if (RecPara.ProcNo == (int)ClsExcute.ProcessExecuteNo.DRConstruction) bAns = true;
+                    break;
             }
 
             return bAns;
@@ -134,6 +146,47 @@
         }
         #endregion
 
+        #region 増減工事の工事予算書申請時に本体があるかをチェックする
+        /// <summary>
+        /// 増減工事の工事予算書申請時に本体があるかをチェックする
+        /// </summary>
+        /// <param name="Rec"></param>
+        /// <returns></returns>
+        private bool CheckLedgerApproval()
+        {
+            IOConstructionLink LinkDB = new IOConstructionLink();
+            try
+            {
+                // 工事予算申請時だけのチェック
+                int iCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
+                if (m_ApprovalCode != iCode) return true;
+
+                // 増減なしの工事・本体工事はチェック無
+                if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Standard
+                    || m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent) return true;
+
+                // 増減工事の子データのみ表示
+                string strSQL = " SELECT * FROM CONSTRUCTIONLINK A, CONSTRUCTIONLEDGER B";
+                strSQL += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", m_ConstructionCode);
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                ArrayList arList = new ArrayList();
+                if (!LinkDB.ExecuteReader(strSQL, ref arList)) return false;
+                if (arList.Count == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                LinkDB.close(); LinkDB = null;
+            }
+        }
+        #endregion
+
         #region 承認時データ更新処理
         /// <summary>
         /// 承認時にデータを更新する
@@ -208,10 +261,10 @@
                     case (int)CommonDefine.ApprovalStatus.Approval:
                         // ----- 承認
                         // 案件に対して最終承認がされているかを確認する
-                        if (ClsApprovalPermission.CheckApprovalData(m_ConstructionCode, m_ApprovalCode))
+                        if (ClsApprovalPermission.CheckApprovalData(m_ConstructionCode, m_ApprovalCode, m_OrderNo))
                         {
                             // 最終承認がされていれば申請レコードを承認へ変更する
-                            ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, (int)CommonDefine.ApprovalStatus.Approval);
+                            ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, m_OrderNo, (int)CommonDefine.ApprovalStatus.Approval);
                             
                             // 工事詳細台帳データを作成するデータがある
                             CaretaLedgerData();
@@ -219,7 +272,7 @@
                         break;
                     case (int)CommonDefine.ApprovalStatus.NotApproval:
                         // ----- 非承認
-                        ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, (int)CommonDefine.ApprovalStatus.NotApproval);
+                        ClsApprovalPermission.SetPrimaryRecStatus(m_ConstructionCode, m_ApprovalCode, m_OrderNo, (int)CommonDefine.ApprovalStatus.NotApproval);
                         break;
                 }
                 return true;
@@ -244,7 +297,7 @@
             try
             {
                 // 申請レコード以外で自分の承認レコードがあるかをチェックする
-                string strSQL = ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode);
+                string strSQL = ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
                 strSQL += " And SeqNo != 1";
                 strSQL += string.Format(" AND PersonCode = {0}", CommonMotions.LoginUserData.PersonCode);
                 if (!ApprDB.SelectAction(strSQL, ref Rec))
@@ -251,10 +304,11 @@
                 {
                     Rec.ConstructionCode = m_ConstructionCode;                      // 工事番号
                     Rec.ApprovalCode = m_ApprovalCode;	                            // 承認機能番号
+                    Rec.OrderNo = m_OrderNo;	                                    // 受付番号
                     Rec.PersonCode = CommonMotions.LoginUserData.PersonCode;        // 申請・承認者コード
                     Rec.PetitionApprovalDate = DateTime.Now;	                    // 承認日付
 
-                    strSQL = ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode);
+                    strSQL = ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
                     Rec.SeqNo = ApprDB.SelectMaxSeqNoCount(strSQL) + 1;             // 枝番
                 }
                 // 承認状態をセットする
@@ -282,6 +336,38 @@
         }
         #endregion
 
+        #region 承認明細レコードデータ作成
+        /// <summary>
+        /// 承認明細レコードデータ作成
+        /// </summary>
+        private bool CreateApprovalDetailData(IOProcessApprovalDetail AppDetailDB, int LinkCode)
+        {
+            try
+            {
+                bool bRet = true;
+
+                string strSQL= AppDetailDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
+                int SerialNo = AppDetailDB.MaxSerialNoCount(strSQL, false);
+
+                ProcessApprovalDetail NewRec = new ProcessApprovalDetail();
+                NewRec.ConstructionCode = m_ConstructionCode;       // 工事番号
+                NewRec.ApprovalCode = m_ApprovalCode;	            // 承認機能番号
+                NewRec.OrderNo = m_OrderNo;	                        // 受付番号
+                NewRec.SerialNo = SerialNo + 1;                     // 連番
+                NewRec.LinkCode = LinkCode;                         // リンク情報
+
+                if (!AppDetailDB.InsertAction(NewRec, false)) bRet = false;
+                
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 表示オブジェクトの取得
         /// <summary>
         /// 表示オブジェクトの取得
@@ -339,8 +425,7 @@
             try
             {
                 // 申請データ取得
-                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, 1);
-                strSQL += " And SeqNo = 1";
+                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1);
                 ProcessApproval pRec = new ProcessApproval();
                 int CurrentPerson = 0;
                 if (pAppDB.SelectAction(strSQL, ref pRec))
@@ -354,20 +439,40 @@
                     CurrentPerson = CommonMotions.LoginUserData.PersonCode;
                 }
 
-                // システム権限によってデータアクセスに制限がある
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
-                    // システム管理者（すべて対象）
+                    // システム権限によってデータアクセスに制限がある
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                    {
+                        // システム管理者（すべて対象）
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                    {
+                        // 最高機密管理者（すべて対象）
+                    }
+                    else
+                    {
+                        // ログイン者が申請者か承認時の管理担当者以外は取消しできない
+                        if (pRec.PersonCode != CommonMotions.LoginUserData.PersonCode && CurrentPerson != CommonMotions.LoginUserData.PersonCode) return;
+                    }
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                {
-                    // 最高機密管理者（すべて対象）
-                }
                 else
                 {
-                    // ログイン者が申請者か承認時の管理担当者以外は取消しできない
-                    if (pRec.PersonCode != CommonMotions.LoginUserData.PersonCode &&
-                        CurrentPerson != CommonMotions.LoginUserData.PersonCode) return;
+                    // システム権限によってデータアクセスに制限がある
+                    if(CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    {
+                        // システム管理者（すべて対象）
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+                    {
+                        // 経営者アクセス
+                    }
+                    else
+                    {
+                        // ログイン者が申請者以外は取消しできない
+                        if (pRec.PersonCode != CommonMotions.LoginUserData.PersonCode) return;
+                    }
                 }
 
                 // 申請・承認以外は申請ボタンを表示する
@@ -403,7 +508,7 @@
         private void SetConfirmationForm()
         {
             // 管理担当部署取得
-            int DepCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionCode, m_ApprovalCode);
+            int DepCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
             // ログイン者が承認者かどうか確認する
             if (ClsApprovalPermission.CheckUserForApprover(m_ApprovalCode, DepCode)) return;
 
@@ -460,7 +565,6 @@
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMApproval mAppDB = new IOMApproval();
-            IOProcessApproval ApprovalDB = new IOProcessApproval();
             try
             {
                 // 工事基本情報取得
@@ -468,21 +572,7 @@
                 if (!cbiDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
 
                 // 担当部署取得
-                string strDep = "SELECT B.DEPARTMENTCODE FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B";
-                strDep += string.Format(" WHERE A.CONSTRUCTIONCODE = {0} AND A.APPROVALCODE = {1} AND A.SEQNO = 1", m_ConstructionCode, m_ApprovalCode);
-                strDep += " AND B.PERSONCODE = A.PERSONCODE";
-                ArrayList DepList = new ArrayList();
-                if (!ApprovalDB.ExecuteReader(strDep, ref DepList)) return false;
-                int CurrentDepartmentCode = 0;
-                if (DepList.Count != 0)
-                {
-                    object[] DepCnt = (object[])DepList[0];
-                    CurrentDepartmentCode = CommonMotions.cnvInt(DepCnt[0]);
-                }
-                else
-                {
-                    CurrentDepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionCode, m_ApprovalCode);
-                }
+                int CurrentDepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
 
                 // 承認経路マスタ取得
                 strSQL = mAppDB.CreatePrimarykeyString(m_ApprovalCode, CurrentDepartmentCode);
@@ -500,7 +590,6 @@
             {
                 cbiDB.close(); cbiDB = null;
                 mAppDB.close(); mAppDB = null;
-                ApprovalDB.close(); ApprovalDB = null;
             }
         }
         #endregion
@@ -514,36 +603,32 @@
         {
 
             IOConstructionBaseInfoDetail cbidDB = new IOConstructionBaseInfoDetail();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
                 // 工事基本情報明細取得
-                string strSQL = string.Format(" Where ConstructionCode = {0}", m_ConstructionCode);
-                strSQL += string.Format(" And DetailNo = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                List<ConstructionBaseInfoDetail> workdlist = new List<ConstructionBaseInfoDetail>();
-                if (!cbidDB.SelectAction(strSQL, ref workdlist)) return false;
+                string strSQL = "SELECT B.DETAILSTRING, C.PERSONNAME, D.PERSONNAME FROM CONSTRUCTIONBASEINFO A";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.SALESPERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += ", CONSTRUCTIONBASEINFODETAIL B";
+                strSQL += string.Format(" Where A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0}",(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                
+                ArrayList workdlist = new ArrayList();
+                if (!cbidDB.ExecuteReader(strSQL, ref workdlist)) return false;
                 if (workdlist.Count == 0) return false;
-
+                
+                object[] objRec = (object[])workdlist[0];
                 // データ表示
                 m_dispLabelControl[(int)DispHeader.ConstructionCode].Text = m_ConstructionCode.ToString();                  // 工事コード
-                m_dispLabelControl[(int)DispHeader.ConstructionName].Text = workdlist[0].DetailString;                      // 工事名称
+                m_dispLabelControl[(int)DispHeader.ConstructionName].Text = CommonMotions.cnvString(objRec[0]);             // 工事名称
                 //ツールチップを表示するコントロールと、表示するメッセージ
-                toolTip1.SetToolTip(m_dispLabelControl[(int)DispHeader.ConstructionName], workdlist[0].DetailString);
+                toolTip1.SetToolTip(m_dispLabelControl[(int)DispHeader.ConstructionName], CommonMotions.cnvString(objRec[0]));
 
                 // 営業担当者取得
-                PersonInChargeMaster sPersonRec = new PersonInChargeMaster();
-                strSQL = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.SalesPersonCode);
-                if (picDB.SelectAction(strSQL, ref sPersonRec))
-                {
-                    m_dispLabelControl[(int)DispHeader.SalesName].Text = sPersonRec.PersonName;                             // 営業担当名
-                }
+                m_dispLabelControl[(int)DispHeader.SalesName].Text = CommonMotions.cnvString(objRec[1]);                    // 営業担当名
+                
                 // 工事担当者取得
-                PersonInChargeMaster cPersonRec = new PersonInChargeMaster();
-                strSQL = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
-                if (picDB.SelectAction(strSQL, ref cPersonRec))
-                {
-                    m_dispLabelControl[(int)DispHeader.ConstractorName].Text = cPersonRec.PersonName;                       // 工事担当名
-                }
+                m_dispLabelControl[(int)DispHeader.ConstractorName].Text = CommonMotions.cnvString(objRec[2]);              // 工事担当名
 
                 // 承認機能
                 m_dispLabelControl[(int)DispHeader.ApprovalProcess].Text = ClsExcute.AppovalList[m_ApprovalCode];
@@ -555,10 +640,10 @@
                     case (int)CommonDefine.BaseInfoEstimateType.Normal:         // 通常見積
                         SetString = "通常見積";
                         break;
-                    case (int)CommonDefine.BaseInfoEstimateType.Didding:      // 入札案件
+                    case (int)CommonDefine.BaseInfoEstimateType.Didding:        // 入札案件
                         SetString = "入札物件";
                         break;
-                    case (int)CommonDefine.BaseInfoEstimateType.GetBudget:    // 予算取り見積
+                    case (int)CommonDefine.BaseInfoEstimateType.GetBudget:      // 予算取り見積
                         SetString = "予算取り見積";
                         break;
                 }
@@ -574,7 +659,6 @@
             finally
             {
                 cbidDB.close(); cbidDB = null;
-                picDB.close(); picDB = null;
             }
         }
         #endregion
@@ -586,63 +670,76 @@
         private void SetPetitionData()
         {
             IOProcessApproval pAppDB = new IOProcessApproval();
-            IOMDepartment dpDB = new IOMDepartment();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
-
-                // 工事コード・承認機能番号取得
-                int iConstructionCode = m_ConstructionBaseInfo.ConstructionCode;
-                int iApprovalCode = m_ApprovalCode;
-
+                string strDate = string.Empty;
+                string strComment = string.Empty;
+                int ApprovalStatus = (int)CommonDefine.ApprovalStatus.Undecided;
+                string strPersonName = string.Empty;
+                string strPersonPosion = string.Empty;
+                string strDepartment = string.Empty;
+                string EntryDate = DateTime.Now.ToShortDateString();
                 // 申請データ取得
-                string strSQL = pAppDB.CreatePrimarykeyString(iConstructionCode, iApprovalCode, 1);
-                strSQL += " And SeqNo = 1";
+                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1);
                 ProcessApproval pRec = new ProcessApproval();
                 if (!pAppDB.SelectAction(strSQL, ref pRec))
                 {
                     // データ無は申請無
                     // ----- データセット
-                    pRec.SeqNo = 1;                                                                                             // 枝番
                     pRec.PersonCode = CommonMotions.LoginUserData.PersonCode;                                                   // 申請者コード
-                    //pRec.PetitionApprovalDate = DateTime.Now;                                                                   // 申請・承認日付
                     pRec.ApprovalStatus = (int)CommonDefine.ApprovalStatus.Undecided;                                           // 承認状態
                 }
 
                 // 申請者名取得
-                string strPerson = picDB.CreatePrimarykeyString(pRec.PersonCode);
-                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                picDB.SelectAction(strPerson, ref PersonRec);
+                //strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
+                //strSQL += " TO_CHAR(C.APPROVALLIMITDATES,'YYYY/MM/DD'),";
+                strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
+                strSQL += " DATE_FORMAT(C.APPROVALLIMITDATES,'%Y/%m/%d'),";
+                strSQL += " C.INPUTCOMMENT,";
+                strSQL += " A.PersonName,";
+                strSQL += " A.DisplayString,";
+                strSQL += " B.DepartmentString,";
+                //strSQL += " TO_CHAR(C.ENTRYDATE,'YYYY/MM/DD')";
+                strSQL += " DATE_FORMAT(C.ENTRYDATE,'%Y/%m/%d')";
+                strSQL += " FROM PERSONINCHARGEMASTER A";
+                strSQL += " LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE";
+                strSQL += " LEFT JOIN PROCESSAPPROVAL C ON C.PERSONCODE = A.PERSONCODE";
+                strSQL += pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1, "C.").Replace("Where", "AND");
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", pRec.PersonCode);
 
-                // 部署名取得
-                DepartmentMaster DepartmentRec = new DepartmentMaster();
-                string strDepartment = dpDB.CreatePrimarykeyString(PersonRec.DepartmentCode);
-                dpDB.SelectAction(strDepartment, ref DepartmentRec);
+                ArrayList pAppRec = new ArrayList();
+                if (!pAppDB.ExecuteReader(strSQL, ref pAppRec)) return;
 
-                // 状態が未定時は未申請
-                if (pRec.ApprovalStatus == (int)CommonDefine.ApprovalStatus.Undecided)
-                    m_dispLabelControl[(int)DispHeader.PetitionStatus].Text = CommonDefine.PetitionButtonString[0];                     // 申請状態
-                else
-                    m_dispLabelControl[(int)DispHeader.PetitionStatus].Text = CommonDefine.ApprovalStatusString[pRec.ApprovalStatus];
+                object[] objrec = (object[])pAppRec[0];
+                strPersonName = CommonMotions.cnvString(objrec[3]);
+                strPersonPosion = CommonMotions.cnvString(objrec[4]);
+                strDepartment = CommonMotions.cnvString(objrec[5]);
+                if (CommonMotions.cnvInt(objrec[0]) >= 0)
+                {
+                    ApprovalStatus = CommonMotions.cnvInt(objrec[0]);
+                    strDate = CommonMotions.cnvString(objrec[1]);
+                    strComment = CommonMotions.cnvString(objrec[2]);
+                    EntryDate = CommonMotions.cnvString(objrec[6]);
+                }
 
-                m_dispLabelControl[(int)DispHeader.PetitionName].Text = PersonRec.PersonName;                                           // 申請者名
+                m_dispLabelControl[(int)DispHeader.PetitionStatus].Text = CommonDefine.ApprovalStatusString[ApprovalStatus];            // 申請状態
+
+                m_dispLabelControl[(int)DispHeader.PetitionName].Text = strPersonName;                                                  // 申請者名
                 
-                if (pRec.ApprovalLimitDates != DateTime.MinValue)
-                    m_dispLabelControl[(int)DispHeader.PetitionHopeDates].Text = pRec.ApprovalLimitDates.ToShortDateString();           // 承認希望日
-                
-                m_dispLabelControl[(int)DispHeader.PetitionDepartmentName].Text = DepartmentRec.DepartmentString;                       // 部署名
+                m_dispLabelControl[(int)DispHeader.PetitionHopeDates].Text = strDate;                                                   // 承認希望日
 
-                m_dispLabelControl[(int)DispHeader.PetitionComment].Text = pRec.InputComment;                                           // 申請コメント
+                m_dispLabelControl[(int)DispHeader.PetitionDepartmentName].Text = strDepartment;                                        // 部署名
 
-                //m_dispLabelControl[(int)DispHeader.ApprovalDate].Text = pRec.PetitionApprovalDate.ToShortDateString();                  // 申請日
-                m_dispLabelControl[(int)DispHeader.ApprovalDate].Text = pRec.EntryDate.ToShortDateString();                             // 登録年月日
+                m_dispLabelControl[(int)DispHeader.PetitionComment].Text = strComment;                                                  // 申請コメント
 
+                m_dispLabelControl[(int)DispHeader.ApprovalDate].Text = EntryDate;                                                      // 登録年月日
 
+
                 // 申請取消ボタン表示(申請時以外は押下可能)
-                DispNotPetitionButton(pRec.ApprovalStatus);
+                DispNotPetitionButton(ApprovalStatus);
 
                 // 申請・承認以外は申請ボタンを表示する
-                SetDisplayTitleAndButton(pRec.ApprovalStatus);
+                SetDisplayTitleAndButton(ApprovalStatus);
 
             }
             catch (Exception ex)
@@ -651,9 +748,7 @@
             }
             finally
             {
-                dpDB.close(); dpDB = null;
                 pAppDB.close(); pAppDB = null;
-                picDB.close(); picDB = null;
             }
         }
         #endregion
@@ -677,54 +772,55 @@
                     // 状態の取得
                     string strDate = "未処理";
                     string strComment = string.Empty;
+                    int ApprovalStatus = (int)CommonDefine.ApprovalStatus.Undecided;
+                    string strPersonName = string.Empty;
+                    string strPersonPosion = string.Empty;
+                    string strDepartment = string.Empty;
 
                     // 承認データを取得する
-                    string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode);
-                    strSQL += string.Format(" And SeqNo != 1 And PersonCode = {0}", rec.ApprovalPerson);
-                    ProcessApproval pAppRec = new ProcessApproval();
-                    if (pAppDB.SelectAction(strSQL, ref pAppRec))
-                    {
-                        strDate = pAppRec.PetitionApprovalDate.ToShortDateString();
-                        strComment = pAppRec.InputComment;
-                    }
-                    else
-                    {
-                        pAppRec.ApprovalStatus = (int)CommonDefine.ApprovalStatus.Undecided;
-                    }
+                    string strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
+                    //strSQL += " TO_CHAR(C.PETITIONAPPROVALDATE,'YYYY/MM/DD'),";
+                    strSQL += " DATE_FORMAT(C.PETITIONAPPROVALDATE,'%Y/%m/%d'),";
+                    strSQL += " C.INPUTCOMMENT,";
+                    strSQL += " A.PersonName,";
+                    strSQL += " A.DisplayString,";
+                    strSQL += " B.DepartmentString";
+                    strSQL += " FROM PERSONINCHARGEMASTER A";
+                    strSQL += " LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE";
+                    strSQL += " LEFT JOIN PROCESSAPPROVAL C ON C.PERSONCODE = A.PERSONCODE";
+                    strSQL += string.Format(" AND C.CONSTRUCTIONCODE = {0}",m_ConstructionCode);
+                    strSQL += string.Format(" And C.APPROVALCODE = {0}",m_ApprovalCode);
+                    strSQL += string.Format(" And C.ORDERNO = {0}", m_OrderNo);
+                    strSQL += " And C.SEQNO != 1";
+                    strSQL += string.Format(" WHERE A.PersonCode = {0}", rec.ApprovalPerson);
 
-                    // 担当者マスタを取得する
-                    strSQL = picDB.CreatePrimarykeyString(rec.ApprovalPerson);
-                    PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                    string strPersonName = string.Empty;
-                    string strPersonPosion = string.Empty;
-                    if (picDB.SelectAction(strSQL, ref PersonRec))
+                    ArrayList pAppRec = new ArrayList();
+                    if (!pAppDB.ExecuteReader(strSQL, ref pAppRec)) return false;
+                    
+                    object[] objrec = (object[])pAppRec[0];
+                    strPersonName = CommonMotions.cnvString(objrec[3]);
+                    strPersonPosion = CommonMotions.cnvString(objrec[4]);
+                    strDepartment = CommonMotions.cnvString(objrec[5]);
+                    if (CommonMotions.cnvInt(objrec[0]) >= 0)
                     {
-                        strPersonName = PersonRec.PersonName;
-                        strPersonPosion = PersonRec.DisplayString;
+                        ApprovalStatus = CommonMotions.cnvInt(objrec[0]);
+                        strDate = CommonMotions.cnvString(objrec[1]);
+                        strComment = CommonMotions.cnvString(objrec[2]);
                     }
 
-                    // 部署名を取得する
-                    strSQL = dpDB.CreatePrimarykeyString(PersonRec.DepartmentCode);
-                    DepartmentMaster DepRec = new DepartmentMaster();
-                    string strDepartment = string.Empty;
-                    if (dpDB.SelectAction(strSQL, ref DepRec)) strDepartment = DepRec.DepartmentString;
-
                     // データ表示
                     int AddRowCnt = dgvEntryData.Rows.Add(rec.ApprovalPerson,
                                                             rec.DisplayOrder,
                                                             strPersonName,
-                                                            CommonDefine.ApprovalStatusString[pAppRec.ApprovalStatus],
+                                                            CommonDefine.ApprovalStatusString[ApprovalStatus],
                                                             strDate,
                                                             strDepartment,
                                                             strPersonPosion,
                                                             strComment
                                                             );
-                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[pAppRec.ApprovalStatus];
-                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[pAppRec.ApprovalStatus];
+                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
+                    dgvEntryData.Rows[AddRowCnt].Cells[(int)DispGridColumn.ApprovalStatus].Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
                 }
-                // 5行表示なので足りない場合は空行で埋める
-                int iNokori = 5 - dgvEntryData.RowCount;
-                if (iNokori > 0) dgvEntryData.Rows.Add(iNokori);
 
                 return true;
             }
@@ -738,6 +834,9 @@
                 pAppDB.close(); pAppDB = null;
                 picDB.close(); picDB = null;
                 dpDB.close(); dpDB = null;
+
+                // 5行表示なので足りない場合は空行で埋める
+                if ((5 - dgvEntryData.RowCount) > 0) dgvEntryData.Rows.Add((5 - dgvEntryData.RowCount));
             }
         }
         #endregion
@@ -780,7 +879,7 @@
                 string strStatus = "未　定";
                 string strComment = string.Empty;
 
-                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode);
+                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
                 strSQL += string.Format(" And SeqNo != 1 And PersonCode = {0}", CommonMotions.LoginUserData.PersonCode);
                 ProcessApproval pAppRec = new ProcessApproval();
                 if (pAppDB.SelectAction(strSQL, ref pAppRec))
